module DoubleBuffer8 (
	input       D1, D2, D3, D4, D5, D6, D7, D8,														//data in.
	input       Clk,																							  //clock.
	output reg  Q1, Q2, Q3, Q4, Q5, Q6, Q7, Q8										  //buffered data out.
	);

	reg         D11, D22, D33, D44, D55, D66, D77, D88;
	
	always @(posedge Clk)  begin
		D11 <= D1;
		D22 <= D2;
		D33 <= D3;
		D44 <= D4;
		D55 <= D5;
		D66 <= D6;
		D77 <= D7;
		D88 <= D8;
		Q1  <= D11;
		Q2  <= D22;
		Q3  <= D33;
		Q4  <= D44;
		Q5  <= D55;
		Q6  <= D66;
		Q7  <= D77;
		Q8  <= D88;
	end
endmodule